* {box-sizing: border-box;}

body {
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    font-size: 17px;
    color: whitesmoke;
    background-color: #212121;
    margin:0;
    padding: 0;
    width: 100dvw;
    height: 100dvh;
    
}

.grid-container {
    display: grid;
    grid-template-areas: 
    'header'
    'menu'
    'main'
    'facts'
    'footer';
    background-color: #333;
    gap: 10px;
}

.header {
    grid-area: header;
    background-color: lime;
    background-image: url(/img/brug.JPG);
    background-size: cover;
    background-repeat: no-repeat;
    text-align: center;
    color: #212121;
    border: 1px solid #212121;
}

.header > h1 {
    font-size: 40px;
}

.menu {
    grid-area: menu;
    background-image: url(/img/bruinekikker.jpeg);
    background-size: cover;
    max-width: 100%;
    height: auto;
}

ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

ul > li {
    padding: 8px;
    margin-bottom: 7px;
    background-color: #222;
    color: whitesmoke;
    z-index: 100;
}


ul > li:hover {
    background-color: whitesmoke;
}

.menu li > a, a:link, a:active, a:visited {
    color: deeppink;
    text-decoration: none;
}

.menu li > a:hover {
    color: lime;
}

.content {
    grid-area: main;
}

.content > h1 {
    font-size: 30px;
    margin-bottom: 7px;
}

.content > img {
    max-width: 25%;
    height: auto;
}

.facts {
    grid-area: facts;
    border: 1px solid whitesmoke;
    padding: 10px;
}

.facts > h2 {
    font-size: 20px;
}

.facts li {
    margin-bottom: 5px;
}

.footer {
    grid-area: footer;
    background-color: transparent;
    color: lime;
    text-align: center;

}





@media only screen and (max-width: 600px) {
  .header {
    grid-area: 1 / span 6;
    background-image: url(/img/grasaren.JPG);
}
  .menu {
    grid-area: 2 / span 1;
    font-size: 14px;
}
  .content {grid-area: 2 / span 4;}
  .facts {grid-area: 3 / span 6;}
  .footer {grid-area: 4 / span 6;}

  
}

@media only screen and (max-width: 768px) {
  .header {grid-area: 1 / span 6;}
  .menu {grid-area: 2 / span 1;}
  .content {grid-area: 2 / span 4;}
  .facts {grid-area: 2 / span 1;}
  .footer {grid-area: 3 / span 6;}
}

@media only screen and (orientation: landscape) and (max-width: 1000px) {
    body {
        background-color: #222;
    }

@media only screen and (orientation: portrait) {
    .grid-container {
        border: 1px solid red;
    }
}

@media (prefers-reduced-motion: reduce) {
    * {
        animation: none !important;
        transition: none !important;
    }
}
}